<app-page-header headerTitle="{{title}} Category">
  <app-button
    icon="fa-solid fa-angle-left"
    text="Back"
    (onClick)="goToList()"
  ></app-button>
</app-page-header>

<form action="" [formGroup]="categoryFormData">
  <div class="row justify-content-center">
      <div class="col-md-12">
  <app-card>
    <div class="row">
      <div class="col-md-4">

        <div class="row">

          <!-- Image upload input -->
          <div class="col-md-12">
            <div class="form-group">
            <div *ngIf="Id">
              <img src="{{imageUrl}}" onerror="this.src='assets/img/noimage.png';" class="img-fluid cardImg" />
            </div>
            <div *ngIf="!Id">
              <img src="{{imagePreview}}" onerror="this.src='assets/img/noimage.png';" class="img-fluid cardImg" />
            </div>
          </div>
            <div class="form-group">
              <label for="Image" class="form-label">
                Image <span class="text-danger" *ngIf="isEdit || !Id">*</span>
              </label>
              <input
                id="Image"
                class="form-control"
                type="file"
                accept="image/*"
                (change)="getImage($event);"
              />
              <div
                *ngIf="submitted && f.image.errors?.required"
                class="alert-error"
              >
                Image is required
              </div>
              <span *ngIf="categoryData && categoryData?.image">
                <a
                  href="{{imageUrl}}"
                  target="_blank"
                  class="d-block text-decoration-none mt-4 ms-3"
                  ><i class="fa fa-download"></i>&nbsp; {{ categoryData?.image}}
                </a></span
              >
              <!-- <div *ngIf="f.image.errors?.pattern" class="alert-error">
                Please provide an image
              </div>  -->
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-8">
        <div class="row">
          <!-- Title field -->
          <div class="col-md-12">
            <div class="form-group">
              <!-- for binds the label to the input element -->
              <label for="Title" class="form-label">
                Title
                <span class="text-danger" *ngIf="isEdit || !Id">*</span></label
              >
              <input
                type="email"
                class="form-control"
                id="Title"
                placeholder="Title"
                formControlName="title"
              />
              <div
                *ngIf="submitted && f.title.errors?.required"
                class="alert-error"
              >
                Title is required
              </div>
            </div>
          </div>

          <!-- Image upload input -->
          <!-- <div class="col-md-4">
            <img src="{{imageUrl}}" class="img-fluid" />
            <div class="form-group">
              <label for="Image" class="form-label">
                Image <span class="text-danger" *ngIf="isEdit || !Id">*</span>
              </label>
              <input
                id="Image"
                class="form-control"
                type="file"
                accept="image/*"
                (change)="getImage($event);"
              />
              <div
                *ngIf="submitted && f.image.errors?.required"
                class="alert-error"
              >
                image is required
              </div>
              <span *ngIf="categoryData && categoryData?.image">
                <a
                  href="{{imageUrl}}"
                  target="_blank"
                  class="d-block text-decoration-none mt-4 ms-3"
                  ><i class="fa fa-download"></i>&nbsp; {{ categoryData?.image}}
                </a></span
              >
              <div *ngIf="f.image.errors?.pattern" class="alert-error">
                Please provide an image
              </div>
            </div>
          </div> -->

          <!-- description field -->

          <div class="col-md-12">
            <div class="form-group">
              <label for="Description" class="form-label"> Description </label>
              <textarea
                style="height: 160px;"
                class="form-control"
                id="Description"
                placeholder="Description"
                formControlName="description"
              ></textarea>
              <div
                *ngIf="submitted && f.description.errors?.required"
                class="alert-error"
              >
                description is required
              </div>
            </div>
          </div>
          <!-- Status Pill -->
          <div class="col-md-3">
            <div class="form-group">
              <app-switch formControlName="displayInFront" label="Display In Front"></app-switch>
            </div>
          </div>
          <div class="col-lg-2 col-sm-6 col-md-3" *ngIf="Id">
            <div class="form-group">
              <app-switch formControlName="isActive" label="Status"></app-switch>
            </div>
          </div>
          <!-- <div class="col-md-5">
            <div class="form-group">
              <app-switch formControlName="isActive" label="Status"></app-switch>
            </div>
          </div> -->
        </div>
      </div>
  </div>
  </app-card>
  </div>
  </div>
  <div class="text-end my-4 mx-2">
    <app-button
      text="Update"
      (onClick)="onSubmit($event)"
      [loading]="showLoader"
      *ngIf="isEdit"
    >
    </app-button>
    <app-button
      text="Add"
      (onClick)="onSubmit($event)"
      [loading]="showLoader"
      *ngIf="!Id"
    >
    </app-button>
    <app-button text="Cancel" (onClick)="goToList()"> </app-button>
  </div>
</form>
